PrincipalDAO (Hyperic HQ Plugin API)
Keywords: org.hyperic.hq.dao.PrincipalDAO class

Overview | Package | Class | Tree | Deprecated | Index | Help
| Hyperic HQ Plugin API v. 4.4.0.2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.hyperic.hq.dao
Class PrincipalDAO

    java.lang.Object
      org.hyperic.hq.dao.HibernateDAO
          org.hyperic.hq.dao.PrincipalDAO

    public class PrincipalDAO

extends HibernateDAO

Field Summary

Fields inherited from class org.hyperic.hq.dao.HibernateDAO
`BATCH_SIZE`

Constructor Summary
`PrincipalDAO(DAOFactory f)`

Method Summary
`Principal` | `create(java.lang.String principal, java.lang.String passwordHash)`
`java.util.Collection` | `findAllUsers()`
`Principal` | `findById(java.lang.Integer id)`
`Principal` | `findByUsername(java.lang.String s)`
`void` | `remove(Principal entity)`
`void` | `save(Principal entity)`

Methods inherited from class org.hyperic.hq.dao.HibernateDAO
`cacheFindAll, createCriteria, createQuery, findAll, findAllOrderByName, findById, findById, flushSession, get, getFactory, getPagedResult, getPagedResult, getPermissionManager, getPersistentClass, getSession, remove, save, size, size`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### PrincipalDAO

    public PrincipalDAO(DAOFactory f)

Method Detail

### findById

    public Principal findById(java.lang.Integer id)

### save

    public void save(Principal entity)

### remove

    public void remove(Principal entity)

### create

    public Principal create(java.lang.String principal,
                            java.lang.String passwordHash)

### findByUsername

    public Principal findByUsername(java.lang.String s)

### findAllUsers

    public java.util.Collection findAllUsers()

Overview | Package | Class | Tree | Deprecated | Index | Help
| Hyperic HQ Plugin API v. 4.4.0.2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004-2006 Hyperic, Inc. support@hyperic.net, All Rights Reserved.